# BeOS R4 x86.  
# This assumes you have X installed in /usr/X11R6.3
# Ben Cooper neb@one.net

CC=gcc
CCFLAG=-O -fPIC -D__BeOS__ -DNO_SOCK
LDFLAG=-O -s
AR=ar rs
RANLIB=touch
XINCLUDE=-I../xpm-3.4g -I/usr/X11R6.3/include
SYSLIB=-L../xpm-3.4g/lib -lXpm -L/usr/X11R6.3/lib -lX11 -lbe

# where the library should be installed

LIB_TOPDIR=/usr/X11R6.3

LIB_DIR=$(LIB_TOPDIR)/lib
LIBMODE=644

HEADER_DIR=$(LIB_TOPDIR)/include
HEADERMODE=644

BIN_DIR=/usr/X11R6.3/bin
BINMODE=711

MAN5_DIR=$(LIB_TOPDIR)/man/man5
MAN1_DIR=$(LIB_TOPDIR)/man/man1
MANMODE=644

# name and header of the library
FORMLIB=libforms.a
FORMHEADER=forms.h

# make shared lib: $(MKSHLIB)
SHARED_LIB=libforms.so.0.88
SHARED_SO=libforms.so.0.88
SHARED_NAME=libforms.so

#
# this is how the shared library is made
#
MKSHLIB=ld -shared -soname $(SHARED_SO) -o $(SHARED_LIB)\
     `ls *.o|grep -v gl.o` ulib/*.o ../xpm-3.4g/lib/libXpm.a

LN=ln -fs
